#ifndef  __BSP_VALVE_H__
#define  __BSP_VALVE_H__

#include "CH58x_common.h"

#define MAX_VALVE_NUM 8


typedef enum {
    kValveCmdCtr = 0X01,
    kValveCmdReg,
    kValveCmdRem,
    kValveCmdRep,
    kValveCmdMax
} ValveCmdType;

typedef enum
{
    WirelessValveClose, 
    WirelessValveOpen, 
} WireLessState;


typedef struct valve_data valve_data_t;

/*
无线调压阀编号
无线调压阀 MAC 地址
无线调压阀连接状态
无线调压阀开关状态
无线调压阀温度
无线调压阀进口压力
无线调压阀出口压力
无线调压阀大气压
*/
struct __attribute__((packed)) valve_data
{
    uint8_t valve_id;
    uint8_t valve_mac[6];
    uint8_t valve_connct_status;
    uint8_t valve_switch_status;
    uint8_t valve_temp;
    uint32_t valve_in_pressure;
    uint32_t valve_out_pressure;
    uint32_t valve_atm_pressure;
};

typedef struct valve_data_list
{
    uint8_t valve_num;
    valve_data_t valve_data[MAX_VALVE_NUM];
} valve_data_list_t ;



extern valve_data_list_t valve_list;

int BSP_Bt_Valve_Ctr(uint8_t *data, uint8_t len);
int BSP_Bt_Register_Valve(uint8_t *data, uint8_t len);
int BSP_Bt_Remove_Valve(uint8_t *data, uint8_t len);
int BSP_Bt_Replace_Valve(uint8_t *data, uint8_t len);
void BSP_Bt_Valve_Updata(void);






















#endif // ! __BSP_VALVE_H__
